#%define rel -beta4
%define rel %nil
%define oname audacious
Name: audacious-plugins
Version: 1.4.5
Release: alt2

Summary: Plugins for Audacious

License: GPL
Group: Sound
Url: http://audacious-media-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://distfiles.atheme.org/%name-%version%rel.tar.bz2
#Patch: %name-%version-linking.patch
#Patch1: %name-%version-rpath.patch

Requires: %oname >= 1.4.0

# Automatically added by buildreq on Sat Oct 27 2007
BuildRequires: esound-devel gcc-c++ imlib2-devel libSDL-devel libXcomposite-devel libaudacious-devel libbinio-devel libcddb-devel libcdio-devel libcurl-devel libdbus-glib-devel libfluidsynth-devel liblame-devel liblirc-devel libmad-devel libmms-devel libmpcdec-devel libmtp-devel libneon0.26-devel libpulseaudio-devel libsamplerate-devel libsidplay-devel libsndfile-devel libtag-devel libvorbis-devel libwavpack-devel libxml2-devel libprojectM-devel libmesa-devel

BuildRequires: libglade-devel

%description
Base plugins for Audacious.
It includes some great other features like various output plugins, last.fm plugins, LIRC support.
This package contains the base I/O plugins:
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * WMA support
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output

%prep
%setup -q -n %name-%version%rel

# disable compile time SSE2 detecting (bug #11799)
%__subst "s|-msse2||g" ./configure

%build
#__autoconf -I m4
%configure \
	--enable-amidiplug --enable-sid \
	--enable-jack --enable-pulse --disable-arts \
	--with-cdda-dir=/var/empty
%make_build

%install
%makeinstall_std
%find_lang %name


%files -f %name.lang
%doc AUTHORS ChangeLog NEWS
%_datadir/%oname/
%_libdir/%oname/*

%changelog
* Fri Mar 14 2008 Vitaly Lipatov <lav@altlinux.ru> 1.4.5-alt2
- rebuild with libmtp-0.2.6

* Sun Feb 24 2008 Vitaly Lipatov <lav@altlinux.ru> 1.4.5-alt1
- new version 1.4.5 (with rpmrb script)

* Sat Jan 12 2008 Vitaly Lipatov <lav@altlinux.ru> 1.4.4-alt1
- new version 1.4.4 (with rpmrb script)

* Mon Dec 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.3.2-alt1
- new version 1.4.3.2 (with rpmrb script)

* Wed Dec 05 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.2-alt1
- new version 1.4.2 (with rpmrb script)

* Wed Nov 28 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.1-alt1
- new version 1.4.1 (with rpmrb script)

* Wed Nov 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt2
- enable projectM plugin

* Wed Nov 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt1
- release 1.4.0

* Wed Oct 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt0.1beta4
- new version (1.4.0 beta4)
- drop patches (mainstreamed)

* Sat Oct 27 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4.0-alt0.1beta3
- new version (1.4.0 beta 3)
- update buildreq
- add patches for fix linking

* Sun Aug 05 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt4
- just rebuild due bug #12422 (needs to rebuild with current compiler options)

* Sun Jul 01 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt3
- set CDDA path to /var/empty (has to exist, but not used): fix bug #12129 again

* Mon Jun 25 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt2
- set /media/cdrom as default path for cd audio plugin (fix bug #12129)
- build with libmms

* Sat Jun 23 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt1
- new version 1.3.5 (with rpmrb script)

* Mon May 21 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt2
- disable SSE2 using (fix bug #11799)

* Wed May 16 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt1
- new version 1.3.4
- build without libarts
- update buildreq

* Wed Apr 18 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt1
- new version 1.3.3 (with rpmrb script)

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt1
- new version 1.3.2 (with rpmrb script)

* Wed Mar 07 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- new version 1.3.0

* Sun Jan 14 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt1
- enable all modules - add pulseaudio, wavpack, musepack, adlib, paranormal support

* Mon Dec 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt0.1
- new version 1.2.5 (with rpmrb script)

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt0.1
- initial build for ALT Linux Sisyphus
